<?php require_once('Connections/paivaconex.php'); 
include("FusionCharts_Enterprise/Code/PHP/Includes/FusionCharts.php");
session_start();
?>

<script language="javascript" src="FusionCharts_Enterprise/JSClass/FusionCharts.js"></script>

<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

$sql = '';

if (count($_POST) >=1) {
	if (isset($_POST['mes'])) {
		$quando[] = "month(datafluxo) IN (".implode( " ,",$_POST['mes']).")";
	}
	if (isset($_POST['ano'])) {
		$quando[] = "year(datafluxo) IN (".implode( " ,",$_POST['ano']).")";
	}
	if (isset($_POST['dia'])) {
		$quando[] = "day(datafluxo) IN (".implode( " ,",$_POST['dia']).")";
	}
	if (isset($_POST['cliente'])) {
		$quando[] = "Cliente IN (".implode( " ,",$_POST['cliente']).")";
	}
	if (isset($_POST['pasta'])) {
		$quando[] = "Pasta IN (".implode( " ,",$_POST['pasta']).")";
	}
	if (isset($_POST['status'])) {
		$quando[] = "status IN (".implode( " ,",$_POST['status']).")";
	}
	if (isset($_POST['detalhe'])) {
		$quando[] = "dashboard.Detalhe IN ('".implode( "' ,'",$_POST['detalhe'])."')";
	}
	$sql = "WHERE vl_rec+Custas+Juros_rec >0 AND ".implode( " AND ", $quando);	
}


if (strlen($sql) < 3){
	$sql = "WHERE year(datafluxo) = Year(NOW())";
}


mysql_select_db($database_paivaconex, $paivaconex);
$query_clientes = "Select vl_rec+Custas+Juros_rec as vl, DATE_FORMAT(Emissao, '%d/%m/%Y') as dt_emi, DATE_FORMAT(Vencimento, '%d/%m/%Y') as dt_venc, Fatura, dashboard.Detalhe as det  from dashboard Inner Join mfin_clientes ON Cliente = mfin_clientes.Id Left Join mfin_pastas ON Pasta = mfin_pastas.Id ".$sql." order by Vencimento";
$clientes = mysql_query($query_clientes, $paivaconex) or die(mysql_error());
$row_clientes = mysql_fetch_assoc($clientes);
$totalRows_clientes = mysql_num_rows($clientes);
?>
<table width="1180" border="1">
  <tr>
    <td width="90" height="22" align="center">Emiss&atilde;o</td>
    <td width="91" align="center">Vencimentos</td>
    <td width="131" align="center">Fatura</td>
    <td width="724" align="center">Detalhe</td>
    <td width="110" align="center">Valor</td>
  </tr>
</table>
<div style="overflow: auto; width: 1200px; height: 350px;">
<table width="1180" border="1">
  
    <?php do { ?>
      <tr>
        <td width="90" height="22" align="left"><?php echo $row_clientes['dt_emi']; ?></td>
        <td width="91" align="left"><?php echo $row_clientes['dt_venc']; ?></td>
        <td width="131" align="left"><?php echo $row_clientes['Fatura']; ?></td>
        <td width="724" align="left"><?php echo htmlentities($row_clientes['det'], ENT_COMPAT, 'utf-8'); ?></td>
        <td width="110" align="right"><?php echo number_format($row_clientes['vl'],2,',','.'); ?></td>
      </tr>
      <?php } while ($row_clientes = mysql_fetch_assoc($clientes)); ?>
    
</table>
</div>
<?php mysql_free_result($clientes); ?>